################################################################################
#### Module 3, Lesson about Vectors, Basic Functions, Data Frames, and Help ####
################################################################################
# Lesson 5, part 2: Custom functions and finding help


################################### 
##### CUSTOM FUNCTIONS
# Make your own functions!

my_function <- function(my_input){
  input_squared <- my_input^2 - (0.5*my_input)
  return(input_squared)
}

my_squaring_function


# Redefine vect1 from the last part:
vect1 <- c(4,64,4,68,43,18,6,2,2,2,21,68,7,21,33,1,74)

my_squaring_function(vect1)

my_function(my_input=vect1)




###################################
##### QUESTIONS? JUST GOOGLE IT!
# How to get help when you need it.


my_vec <- c(2.345,6.294,7.89)
round(my_vec)

###################################
##### SUMMARY
# - how to create your own functions
# - and how to find help when you need it along the way!

